curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=IND" \
-F "services=ind_drivers_licence" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "full_name=John Doe" \
-F "date_of_birth=1990-01-01" \
-F "driver_license_number=SAMPLE-DL-12345"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="IND",
services=["ind_drivers_licence"],
consent=True,
full_name="John Doe",
date_of_birth="1990-01-01",
driver_license_number="SAMPLE-DL-12345",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "IND",
services: ["ind_drivers_licence"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
driver_license_number: "SAMPLE-DL-12345",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "IND",
Services: didit.Some([]string{"ind_drivers_licence"}),
Consent: didit.Bool(true),
FullName: didit.String("John Doe"),
DateOfBirth: didit.String("1990-01-01"),
DriverLicenseNumber: didit.String("SAMPLE-DL-12345"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("IND")
.services(List.of("ind_drivers_licence"))
.consent(true)
.fullName("John Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.driverLicenseNumber("SAMPLE-DL-12345")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'IND',
'services' => ['ind_drivers_licence'],
'consent' => true,
'full_name' => 'John Doe',
'date_of_birth' => '1990-01-01',
'driver_license_number' => 'SAMPLE-DL-12345',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "IND",
services: ["ind_drivers_licence"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
driver_license_number: "SAMPLE-DL-12345",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "IND",
Services = new string[] { "ind_drivers_licence" },
Consent = true,
FullName = "John Doe",
DateOfBirth = "1990-01-01",
DriverLicenseNumber = "SAMPLE-DL-12345",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "IND",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "ind_drivers_licence",
"service_name": "India Drivers Licence (RTO)",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"date_of_birth": true,
"full_name": true,
"identification_number": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "IND",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "ind_drivers_licence",
"service_name": "India Drivers Licence (RTO)",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"date_of_birth": true,
"full_name": false,
"identification_number": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "IND",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "ind_drivers_licence",
"service_name": "India Drivers Licence (RTO)",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
🇮🇳 인도
인도 운전면허(RTO) 검증 API
인도 운전면허(RTO): Didit 신원 인프라로 인도 공식 데이터베이스를 검증합니다. 건당 $0.15부터, 계약 및 최소 사용량 없음.
POST
/
v3
/
database-validation
/
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=IND" \
-F "services=ind_drivers_licence" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "full_name=John Doe" \
-F "date_of_birth=1990-01-01" \
-F "driver_license_number=SAMPLE-DL-12345"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="IND",
services=["ind_drivers_licence"],
consent=True,
full_name="John Doe",
date_of_birth="1990-01-01",
driver_license_number="SAMPLE-DL-12345",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "IND",
services: ["ind_drivers_licence"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
driver_license_number: "SAMPLE-DL-12345",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "IND",
Services: didit.Some([]string{"ind_drivers_licence"}),
Consent: didit.Bool(true),
FullName: didit.String("John Doe"),
DateOfBirth: didit.String("1990-01-01"),
DriverLicenseNumber: didit.String("SAMPLE-DL-12345"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("IND")
.services(List.of("ind_drivers_licence"))
.consent(true)
.fullName("John Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.driverLicenseNumber("SAMPLE-DL-12345")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'IND',
'services' => ['ind_drivers_licence'],
'consent' => true,
'full_name' => 'John Doe',
'date_of_birth' => '1990-01-01',
'driver_license_number' => 'SAMPLE-DL-12345',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "IND",
services: ["ind_drivers_licence"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
driver_license_number: "SAMPLE-DL-12345",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "IND",
Services = new string[] { "ind_drivers_licence" },
Consent = true,
FullName = "John Doe",
DateOfBirth = "1990-01-01",
DriverLicenseNumber = "SAMPLE-DL-12345",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "IND",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "ind_drivers_licence",
"service_name": "India Drivers Licence (RTO)",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"date_of_birth": true,
"full_name": true,
"identification_number": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "IND",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "ind_drivers_licence",
"service_name": "India Drivers Licence (RTO)",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"date_of_birth": true,
"full_name": false,
"identification_number": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "IND",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "ind_drivers_licence",
"service_name": "India Drivers Licence (RTO)",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
인도 각 주의 도로교통청(Road Transport Offices) 데이터베이스와 입력 데이터를 대조합니다. Didit은 이 서비스를
POST /v3/database-validation/을 통해 제공하므로, 제출된 데이터를 공식 출처와 대조하고 정규화된 일치 결과를 받을 수 있습니다.
적용 범위
- 적용 범위: > 75%
- 국가: 인도
- 서비스 ID:
ind_drivers_licence - 데이터 영역: 문서
- 카테고리: 운전면허
입력 항목
| 필드 | 필수 여부 | 예시 |
|---|---|---|
full_name | 예 | John Doe |
date_of_birth | 예 | 1990-01-01 |
driver_license_number | 예 | SAMPLE-DL-12345 |
address.street_1 | 아니요 | 123 Sample Street |
address.street_2 | 아니요 | Unit 4 |
address.city | 아니요 | Sample City |
address.region | 아니요 | Sample State |
address.postal_code | 아니요 | 10001 |
vendor_data | 아니요 | user-1234 |
- 필수 입력:
full_name,date_of_birth,driver_license_number - 선택 입력:
address.street_1,address.street_2,address.city,address.region,address.postal_code,vendor_data - 동의: 필수
- 워크플로 사용 가능 여부: 워크플로에서 사용 가능
- 적용 범위: > 75%
- 가격: 성공한 조회 건당 $0.15
본문 파라미터
string
기본값:"IND"
필수
이 데이터베이스 서비스의 ISO 3166-1 alpha-3 국가 코드입니다.예시:
INDstring
기본값:"ind_drivers_licence"
필수
이 서비스 ID를 포함하는 배열입니다. 서비스를 고정하면 요청이 이 특정 데이터베이스로만 한정됩니다.예시:
ind_drivers_licenceboolean
기본값:"true"
필수
이 서비스에 대한 최종 사용자의 명시적 동의입니다.예시:
truestring
기본값:"John Doe"
필수
검증할 법적 성명입니다.예시:
John Doestring
기본값:"1990-01-01"
필수
YYYY-MM-DD 형식의 생년월일입니다.예시: 1990-01-01string
기본값:"SAMPLE-DL-12345"
필수
운전면허 번호입니다.예시:
SAMPLE-DL-12345object
구조화된 거주지 주소 객체입니다.
street_1, street_2, city, region, postal_code, country를 사용합니다. 완전한 레거시 주소 문자열도 여전히 허용되지만 권장하지 않습니다.예시: {"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}string
기본값:"user-1234"
내부 사용자 ID 등, 이 사람에 대해 귀사가 일관되게 사용하는 사용자 참조값입니다. Didit은 이 값을 사용해 단독 조회를 같은 최종 사용자와 연결하고 중복 탐지 노이즈를 줄입니다.예시:
user-1234입력 규칙 및 검증 참고 사항
- 이 서비스에서
address는 선택 사항입니다. 완전한address문자열 하나를 보내면 Didit이 가능한 경우 이를 구조화된 주소 요소로 분리하며, 구조화된 필드를 명시적으로 보낼 수도 있습니다. - 주소 기반 서비스에서는 가능한 경우 단일
address문자열 대신 구조화된 주소 필드를 보내십시오. address.street_1은 번지와 도로 유형을 포함한 도로 주소입니다.address.street_2는 아파트, 호실, 건물, 층 또는 추가 주소 줄입니다. 해당 정보가 있을 때만 보내십시오.address.city는 도시, 교외 지역, 구, 지구 또는 동네입니다.address.region은 주, 도, 지역 또는 읍입니다.address.postal_code는 우편번호입니다.- 주소 기반 데이터베이스 서비스는 최소한 도로 주소와 우편번호를 요구합니다. 원본 조회 전에 거부된 요청은 과금되지 않습니다.
호출 방법
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=IND" \
-F "services=ind_drivers_licence" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "full_name=John Doe" \
-F "date_of_birth=1990-01-01" \
-F "driver_license_number=SAMPLE-DL-12345"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="IND",
services=["ind_drivers_licence"],
consent=True,
full_name="John Doe",
date_of_birth="1990-01-01",
driver_license_number="SAMPLE-DL-12345",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "IND",
services: ["ind_drivers_licence"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
driver_license_number: "SAMPLE-DL-12345",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "IND",
Services: didit.Some([]string{"ind_drivers_licence"}),
Consent: didit.Bool(true),
FullName: didit.String("John Doe"),
DateOfBirth: didit.String("1990-01-01"),
DriverLicenseNumber: didit.String("SAMPLE-DL-12345"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("IND")
.services(List.of("ind_drivers_licence"))
.consent(true)
.fullName("John Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.driverLicenseNumber("SAMPLE-DL-12345")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'IND',
'services' => ['ind_drivers_licence'],
'consent' => true,
'full_name' => 'John Doe',
'date_of_birth' => '1990-01-01',
'driver_license_number' => 'SAMPLE-DL-12345',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "IND",
services: ["ind_drivers_licence"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
driver_license_number: "SAMPLE-DL-12345",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "IND",
Services = new string[] { "ind_drivers_licence" },
Consent = true,
FullName = "John Doe",
DateOfBirth = "1990-01-01",
DriverLicenseNumber = "SAMPLE-DL-12345",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
성공한 호출은 모두 HTTP 200을 반환합니다. outcome_code 필드는 실제로 무슨 일이 있었는지 알려줍니다. 예를 들어 실제 생체 인식 불일치(BIOMETRIC_NO_MATCH)와 판독할 수 없었던 셀피(BIOMETRIC_IMAGE_UNUSABLE)를 구분합니다. 표시된 status는 기본 기능 상태이며, 구성해 둔 부분 일치/일치 없음 작업에 따라 재정의될 수 있습니다.MATCH: 레지스트리가 신원을 확인했으며 검사한 모든 필드가 일치했습니다.{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "IND",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "ind_drivers_licence",
"service_name": "India Drivers Licence (RTO)",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"date_of_birth": true,
"full_name": true,
"identification_number": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
PARTIAL_MATCH: 식별 번호는 찾았지만 하나 이상의 개인 필드(보통 성명 또는 생년월일)가 완전히 일치하지 않았습니다.{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "IND",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "ind_drivers_licence",
"service_name": "India Drivers Licence (RTO)",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"verifications": {
"date_of_birth": true,
"full_name": false,
"identification_number": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
NO_MATCH: 레지스트리에서 제출된 데이터와 일치하는 결과가 없었습니다.{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "IND",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "ind_drivers_licence",
"service_name": "India Drivers Licence (RTO)",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
반환 데이터
source_data에 표시되는 정확한 필드는 레지스트리가 반환하는 내용에 따라 달라집니다. ind_drivers_licence의 생성된 예시는 현재 다음의 정규화된 구조를 문서화하고 있습니다.
addressaddress_match_scoredate_of_birthidentification_number
요금 및 SLA
India Drivers Licence (RTO) 조회는 Didit이 검증 출처로부터 확정적인 결과를 받은 경우에만 요금이 청구됩니다.- 건당 요금: $0.15 USD.
- 청구 방식: 성공한 조회 건당 청구됩니다. 레지스트리에 연결할 수 없거나, 필수 필드가 누락되었거나, 요청이 출처에 도달하기 전에 거부된 경우에는 요금이 청구되지 않습니다.
- 지연 시간: 일반적인 p95 < 2 s.
- 가용성: Didit 측 기준 분기별 99.9%입니다. 하위 출처의 가용성은 국가와 데이터셋에 따라 다릅니다.
계속 읽기
마지막 수정일 2026년 11월 7일